View Issue Details

IDProjectCategoryView StatusLast Update
0002122Far ManagerUser Menupublic2012-05-31 15:31
ReporterPaulAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002122: Некорректо сравниваются каталоги из пункта меню Commands - Compare Folders
DescriptionПри сравнении 2х каталогов один из которых содержит файл,
а второй каталог с тем же именем (причем файл создан раньше каталога)
не выдаются различий.

Условия для воспроизведения проблемы:
ОС: Windows 7
тип файловой системы: NTFS
версия Far: 3.0.2704 x86
набор и версии плагинов, макросы: из поставки

Какие действия выполнялись?
 - выполнить create.bat
 - открыть в левой панели dir1, в правой панели dir2
 - выполнить Commands - Compare Folders

Какой результат ожидался?
Должны подсвечиватся различия в содержимом этих папок,
т.к. папке dir1 содержиться файл которого нет в dir2.
Различия должны подсвечиваться независимо от времени создания.

Что получилось вместо этого?
Не подсвечиваются различия в содержимом этих папок.
TagsNo tags attached.
Build2706

Activities

Paul

2012-05-29 17:13

reporter  

create.bat (108 bytes)

2useven10

2012-05-29 18:47

developer   bugnote:0009291

Last edited: 2012-05-30 05:18

View 4 revisions

файл dir12 выделен в левой панели. что неправильно?
upd: это на XP, на win7 подсвечен file3 на правой панели :(

samlyukov

2012-05-29 18:52

reporter   bugnote:0009292

повторюсь, а зачем эта команда нужна вообще в фаре?
я за выкидывание ее. плагины есть. и вполне хорошие.

2useven10

2012-05-30 05:53

developer   bugnote:0009293

build 2706

Paul

2012-05-31 15:23

reporter   bugnote:0009299

Far Manager v3.0 build 2712 x86 - исправлено

Issue History

Date Modified Username Field Change
2012-05-29 17:13 Paul New Issue
2012-05-29 17:13 Paul File Added: create.bat
2012-05-29 18:47 2useven10 Note Added: 0009291
2012-05-29 18:52 samlyukov Note Added: 0009292
2012-05-30 05:17 2useven10 Note Edited: 0009291 View Revisions
2012-05-30 05:18 2useven10 Note Edited: 0009291 View Revisions
2012-05-30 05:18 2useven10 Note Edited: 0009291 View Revisions
2012-05-30 05:53 2useven10 Note Added: 0009293
2012-05-30 05:53 2useven10 Assigned To => 2useven10
2012-05-30 05:53 2useven10 Status new => feedback
2012-05-31 15:23 Paul Note Added: 0009299
2012-05-31 15:23 Paul Status feedback => assigned
2012-05-31 15:31 2useven10 Build => 2706
2012-05-31 15:31 2useven10 Status assigned => closed
2012-05-31 15:31 2useven10 Resolution open => fixed
2012-05-31 15:31 2useven10 Fixed in Version => 3.0